API

Update notification settings

Updates a contact's notification settings. Also activates the contact if it is not already active.

PATCH/feeds/{feedId}/contacts/{contactId}/notification-settings

Authorization

apiKey contacts:read-write
x-api-key<token>

In: header

Scope: contacts:read-write

Path Parameters

feedId*string
contactId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

email?boolean
sms?boolean
curl -X PATCH "https://example.com/feeds/string/contacts/string/notification-settings" \  -H "Content-Type: application/json" \  -d '{}'
{  "phone": "string",  "image": "string",  "email": "string",  "name": "string",  "state": "string",  "feedId": "string",  "id": "string"}
{  "traceId": "string",  "message": "string",  "path": "string",  "timestamp": "string",  "statusCode": 0.1}
{  "traceId": "string",  "message": "string",  "path": "string",  "timestamp": "string",  "statusCode": 0.1}